Index: if_lagg.c
===================================================================
--- if_lagg.c	(revision 364434)
+++ if_lagg.c	(working copy)
@@ -476,10 +476,10 @@ lagg_register_vlan(void *arg, struct ifnet *ifp, u
 	if (ifp->if_softc !=  arg)   /* Not our event */
 		return;
 
-	LAGG_RLOCK();
+	sx_slock(&sc->sc_sx);
 	CK_SLIST_FOREACH(lp, &sc->sc_ports, lp_entries)
 		EVENTHANDLER_INVOKE(vlan_config, lp->lp_ifp, vtag);
-	LAGG_RUNLOCK();
+	sx_sunlock(&sc->sc_sx);
 }
 
 /*
@@ -495,10 +495,10 @@ lagg_unregister_vlan(void *arg, struct ifnet *ifp,
 	if (ifp->if_softc !=  arg)   /* Not our event */
 		return;
 
-	LAGG_RLOCK();
+	sx_slock(&sc->sc_sx);
 	CK_SLIST_FOREACH(lp, &sc->sc_ports, lp_entries)
 		EVENTHANDLER_INVOKE(vlan_unconfig, lp->lp_ifp, vtag);
-	LAGG_RUNLOCK();
+	sx_sunlock(&sc->sc_sx);
 }
 
 static int

